% Systeemi
A = [-1, -2; 1, 0];
B = [1; 0];
tmax = 100;
% Valitaan navat
%p1=0.5+0.03i;
%p2=0.5-0.03i;

alpha = pi/100;
r = 0.5;
p1 = r*(cos(alpha) + sin(alpha)*1i);
p2 = r*(cos(alpha) - sin(alpha)*1i);

% Muodostetaan tilatakaininkytkentmatriisi navoista

K = place(A, B, [p1, p2]);
x(1:2, 1) = [0; 0];
% Simuloidaan uutta systeemi
for i = 1:1:tmax
   x(:, i + 1) = (A - B*K)*x(:, i) + B*0.1;
end
plot(x(1, :));