% Systeemi
A = [0, 1;20.6, 0];
B = [0; 1];
C = [1, 0];
t = 0:0.01:10;
u = 10*ones(size(t));

% Valitaan navat
%p1=-1.8+0.4i;
%p2=-1.8-0.4i;

alpha = 2.1*pi/4;
r = 1;
p1 = r*(cos(alpha) + sin(alpha)*1i);
p2 = r*(cos(alpha) - sin(alpha)*1i);

% Muodostetaan tilatakaininkytkentmatriisi navoista

K = place(A, B, [p1, p2]);
% Simuloidaan systeemi
lsim(A - B*K, B, C, 0, u, t, [0; 0]);
